Bug 438072 - RFE: Add KDE submenus for Gnome desktop
RFE: Add KDE submenus for Gnome desktop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 17:21 EDT by Martin-Gomez Pablo
Modified: 2008-10-22 14:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 14:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin-Gomez Pablo 2008-03-18 17:21:08 EDT
Description of problem:
Currently, the cascading Gnome menus are managed by redhat-menus. This menu is
composed of categories' submenu which contain Gnome's applications as well as
KDE 's applications. I propose to have the possibility (by a package ? a command
?) to sort the KDE software in a KDE's submenu, as it's impossibly to review the
gnome-menu-extended (https://bugzilla.redhat.com/show_bug.cgi?id=426026).
Comment 1 Jon Stanley 2008-03-18 19:50:58 EDT
triaging as RFE
Comment 2 Ariszló 2008-03-19 04:36:21 EDT
The GNOME SlackBuild project has a solution for this.  First, they patch the
applications.menu file of gnome-menus (the upstream equivalent of the
applications.menu file of redhat-menus) to exclude all KDE (and XFce)
applications from GNOME's Applications menu.  Thus you do need to patch each KDE
*.desktop file you want to exclude by adding an OnlyShowIn=KDE field to it. 
Second, the patch also adds hooks to applications.menu for optionally installed
merge files that add KDE (and XFce) submenus to GNOME's Applications menu.

http://dev.gnomeslackbuild.org/repositories/changes/gsb-source/trunk/src/desktop/gnome-menus/patches/gnome-menus-2.20.3-submenus.patchhttp://dev.gnomeslackbuild.org/repositories/changes/gsb-source/trunk/src/desktop/gnome-menus/patches/gnome-menus-2.20.3-submenus.patch

The two optional packages, gnome-menus-kde and gnome-menus-xfce to add KDE and
XFce submenus to GNOME's Applications menu are available here:

Binaries:
http://slackware.rol.ru/gsb/gsb/gsb-current/packages/desktop/
ftp://ftp.slackware.pl/pub/gnomeslackbuild/gsb/gsb-current/packages/desktop/

SVN:
http://dev.gnomeslackbuild.org/repositories/browse/gsb-source/trunk/src/desktop/gnome-menus-kde
http://dev.gnomeslackbuild.org/repositories/browse/gsb-source/trunk/src/desktop/gnome-menus-xfce
Comment 3 Ariszló 2008-03-19 04:37:56 EDT
(In reply to comment #2)
> Thus you do need to...

Oops, this should be "Thus you do _not_ need to..."
Comment 4 Ariszló 2008-03-19 04:41:22 EDT
And again, here is the link to the patch:
http://dev.gnomeslackbuild.org/repositories/browse/gsb-source/trunk/src/desktop/gnome-menus/patches
Comment 5 Rex Dieter 2008-03-19 09:50:04 EDT
I'm not sure I agree with this approach wrt menus.  Imo, apps are apps, and 
should be shown in (*all*) desktop menus, regardless of which toolkit they're 
written for/in.  That's how I feel atm anyway, I'd like to keep watch here and 
see where this goes.
Comment 6 Martin-Gomez Pablo 2008-04-05 18:36:05 EDT
Rex> I agree also with your point of view, but actually the fact that KDE
packages are monoliths is the problem. With a submenu, I resolve the KDE's
software pollution (when we want install KBabel, we install also 6 other
applications). Furthermore, with a separation b/w Gnome and KDE, I know when I
will run the kdelibs which are weighty.

But it's truth that I don't know if it's possible to have an apps menus in one
part and a desktop menu in the other, and isn't in my intention to force on type
of menu.
Comment 7 Matthias Clasen 2008-08-10 22:40:53 EDT
Those interested in this should probably just finish the review in bug 426026
Comment 8 Ray Strode [halfline] 2008-10-22 14:18:48 EDT
I agree.  I'm going to close this so it goes off my radar.

If someone has patches or some such to make redhat-menus interoperate better in different configurations without modifying the default configuration then please file a new report.

Note You need to log in before you can comment on or make changes to this bug.